Dear All,
 
The following error, which I was receiving while creating administrator, has been successfully resolved.
 
 Exception in thread "main"  java.lang.UnsupportedClassVersionError: org/dspace/administer/CreateAdministrator (Unsupported major.minor version 48.0)
 
I had Oracle 6i installed on my computer and Oracle 6i had installed older versions of JRE & JDK. A path pointing to this installation was created in the system. So whenever I was trying to create administrator, these older versions were invoked instead of recently installed JDK. I just removed the older JRE/JDK paths created by Oracle 6i installation and then tried to create administrator, and found it successfully created.
 
Hope I resolved the problem in correct way.
 
-Vikas


Vikas Kumar <vikas_ku_ind@yahoo.co.in> wrote:
Thanks Jonathan for your kind reply.
 
After sending this the query to the list, I have installed J2sdk1.5  and then built the dspace again. But while creating the administrator, the problem still persists. This DSpace installation is on Windows 2000 Professional Ed.
 
-Vikas


Jonathan Champ <royanee@gmail.com> wrote:
Personally, I would recommend using j2sdk1.5. It looks like the class
file was compiled with some incorrect versioning information. I would
try: "ant clean; ant update" in an attempt to regenerate the files.
Other than your version of java and your version of Tomcat (which
shouldn't be causing this problem), we are using the same version of
the other two applications albeit on different platforms. However, if
you just compiled DSpace, then I'm not sure a code refresh would do
anything. Other than that, I think I remember someone saying that java
1.5 was the current recommendation.

On 6/29/06, Vilas Kumar wrote:
>
> Dear All,
>
> I have just Installed and Build DSpace on my Widows successfully. I have
> tested it from web-browser and found it ok. Now when I tried to create
> administrator from dos prompt following error occurs.
>
> I am using
> DSpace 1.3.2
> apache-ant-1.6.5
> j2sdk1.4.2_11
> Tomcat 5.0
>
>
>
> C:\dspace\bin>c:\dspace\bin\dsrun
> org.dspace.administer.CreateAdministrator
> Using DSpace installation in: C:\dspace
> Exception in thread "main"
> java.lang.UnsupportedClassVersionError: org/dspace/ad
> minister/CreateAdministrator (Unsupported major.minor version 48.0)
> at java.lang.ClassLoader.defineClass0(Native
> Method)
> at java.lang.ClassLoader.defineClass(Unknown
> Source)
> at
> java.security.SecureClassLoader.defineClass(Unknown Source)
> at java.net.URLClassLoader.defineClass(Unknown
> Source)
> at java.net.URLClassLoader.access$100(Unknown
> Source)
> at java.net.URLClassLoader$1.run(Unknown Source)
> at
> java.security.AccessController.doPrivileged(Native Method)
> at java.net.URLClassLoader.findClass(Unknown
> Source)
> at java.lang.ClassLoader.loadClass(Unknown Source)
> at
> sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
> at java.lang.ClassLoader.loadClass(Unknown Source)
> at java.lang.ClassLoader.loadClassInternal(Unknown
> Source)
[snip]


Yahoo! India Answers: Share what you know. Learn something new Click here
Catch all the FIFA World Cup 2006 action on Yahoo! India Click hereUsing Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
_______________________________________________
DSpace-tech mailing list
DSpace-tech@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/dspace-tech


Yahoo! India Answers: Share what you know. Learn something new Click here
Catch all the FIFA World Cup 2006 action on Yahoo! India Click here